import { APIGatewayEvent, Context } from 'aws-lambda';
import { Server } from 'hapi';
import { Headers } from 'shot';
export declare type UserOptions = {
    readonly filterHeaders?: boolean;
    readonly stringifyBody?: boolean;
};
export declare type OnInitError = (error: Error) => void;
export declare type Data = {
    readonly statusCode: number;
    readonly body: string | object | undefined;
    readonly headers: Headers;
};
export declare type ResponseData = {
    readonly res?: Data;
} | Data;
export declare function serverlessHapi(server: Server, onInitError: OnInitError, userOptions?: UserOptions): (event: APIGatewayEvent, context: Context) => Promise<ResponseData | Error>;
